%define		pkg	couch-login
Summary:	A module for doing logged-in requests to a couchdb server
Name:		nodejs-%{pkg}
Version:	0.1.15
Release:	1
License:	MIT
Group:		Development/Libraries
URL:		https://github.com/isaacs/couch-login
# download from https://github.com/isaacs/%{pkg}/tarball/%%{version}
Source0:	http://registry.npmjs.org/%{pkg}/-/%{pkg}-%{version}.tgz
# Source0-md5:	9e5c9b971b5caaa2c462921a89e7ec54
BuildRequires:	rpmbuild(macros) >= 1.634
BuildRequires:	sed >= 4.0
Requires:	nodejs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A module for doing logged-in requests to a couchdb server.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{nodejs_libdir}/%{pkg}}
cp -a package.json couch-login.js $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{nodejs_libdir}/%{pkg}
%changelog
* Thu Apr 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-couch-login.git;a=log;h=master

* Sat Feb 16 2013 Aria <aredridel@nbtsc.org> 8dbe23a
v0.1.15

* Mon Dec 03 2012 Aria Stewart <aredridel@nbtsc.org> f182cdc
Initial commit

